#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Library to access data on a CDDB server
Summary(pl.UTF-8):	Biblioteka dostępu do danych na serwerze CDDB
Name:		libcddb
Version:	1.3.2
Release:	7
License:	LGPL v2+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/libcddb/%{name}-%{version}.tar.bz2
# Source0-md5:	8bb4a6f542197e8e9648ae597cd6bc8a
URL:		http://libcddb.sourceforge.net/
BuildRequires:	autoconf >= 2.55
BuildRequires:	automake
BuildRequires:	gettext-tools >= 0.14.4
BuildRequires:	libcdio-devel >= 0.76
BuildRequires:	libtool
BuildRequires:	pkgconfig
Requires:	libcdio >= 0.76
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libcddb is a library that implements the different protocols (CDDBP,
HTTP, SMTP) to access data on a CDDB server (http://freedb.org/). It
tries to be as cross-platform as possible.

%description -l pl.UTF-8
libcddb to biblioteka zawierająca implementacje protokołów (CDDBP,
HTTP, SMTP) dostępu do danych na serwerze CDDB (http://freedb.org/).
Próbuje być przenośna na ile to możliwe.

%package devel
Summary:	Header files for libcddb library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libcddb
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libcddb library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libcddb.

%package static
Summary:	Static libcddb library
Summary(pl.UTF-8):	Statyczna biblioteka libcddb
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libcddb library.

%description static -l pl.UTF-8
Statyczna biblioteka libcddb.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# install examples
install examples/*.{c,h} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libcddb.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/cddb_query
%attr(755,root,root) %{_libdir}/libcddb.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcddb.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcddb.so
%{_includedir}/cddb
%{_pkgconfigdir}/libcddb.pc
%{_examplesdir}/%{name}-%{version}

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libcddb.a
%endif
%changelog
* Wed Feb 25 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libcddb.git;a=log;h=master

* Wed Feb 25 2015 Elan Ruusamäe <glen@delfi.ee> c3a2a43
- x32 rebuild
- release 7 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 53be7d8
- updated gettext BR

* Tue Oct 07 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> b8fd302
- libcdio related rebuild
- release 6 (by relup.sh)

* Sun Dec 22 2013 Jakub Bogusz <qboosh@pld-linux.org> f93a6b9
- dropped libtool file
- release 5 (rebuild with libcdio 0.92)

* Sun Feb 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> d93942b
- release 4 (by relup.sh)

* Fri Jan 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 084f23d
- release 3

* Thu Jan 05 2012 lisu <lisu@pld-linux.org> 9b7172a
- rel 2

* Fri Nov 12 2010 Jakub Bogusz <qboosh@pld-linux.org> 66fb0fa
- unified sf URL
- run autoheader

* Thu Jan 21 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 6d6610a
- updated to 1.3.2

* Thu Dec 31 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 6b26668
- release 4

* Fri Oct 31 2008 Marcin Banasiak <marcin.banasiak@gmail.com> d17c98e
- release 3

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 1e23d98
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 57d5a3b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> bd81bfe
- converted to UTF-8

* Fri Nov 17 2006 Jakub Bogusz <qboosh@pld-linux.org> 228aa27
- updated deps

* Fri Nov 17 2006 Jakub Bogusz <qboosh@pld-linux.org> 7da7629
- updated to 1.3.0

* Wed Oct 04 2006 Jakub Bogusz <qboosh@pld-linux.org> cf176c6
- updated to 1.2.2

* Wed Mar 22 2006 Paweł Sikora <pluto@pld-linux.org> 45c7b65
- release 3 (rebuild with new libcdio).

* Sun Feb 19 2006 Paweł Sikora <pluto@pld-linux.org> c72d1cb
- release 2 (rebuild with new libcdio).

* Sat Aug 13 2005 Karol Krenski <charles@pld-linux.org> 189a683
- BR: gettext-devel

